Subject: bug#34862: 27.0.50; Trying to update pinyin.map

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 02 Feb 2022 19:59:25 +0100

Eric Abrahamsen <[email-masked]> writes:

>> I think this should be done with a script, and that script should be
>> in our repository.  The easiest kind of a script is a Lisp program, of
>> course, but we can also use other kinds, such as Awk scripts.
>
> Awk seems just right for the problem, but I haven't written much in it;
> I did the original munging in elisp. Would this be a script written for
> use with -batch and a custom make target?

It's fine to parse the files with Lisp instead of awk (unless they're
needed to boot Emacs, which I don't think is the case here).

Did you get any further with this?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no